# $Id: floppy.spec.in,v 1.6 2009/09/23 00:47:26 mrsam Exp $
Summary: floppy formatting utility
Name: floppy
Version: 0.18
Release: 1
URL: http://floppyutil.sourceforge.net
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: e2fsprogs dosfstools perl gtk+-devel >= 1.2.0
BuildRequires: desktop-file-utils

%description
The floppy utility does low-level formatting of floppy disks.  This utility
supports formatting of disks in LS-120 drives, if a patch enabling ATAPI IDE
formatting has been applied to the Linux kernel.

%package gtk
Group: X11/Applications
Summary: GTK floppy format utility
Requires: floppy = %{version}

%description gtk
This package contains a GTK interface to the floppy formatting utility.

%prep
%setup -q
%configure
%build
%{__make}
%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/floppy

%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
%{__cat} >$RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/floppygtk <<EOF
USER=root
PROGRAM=%{_sbindir}/floppygtk
SESSION=true
EOF

%{__mkdir_p} $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/floppygtk $RPM_BUILD_ROOT%{_sbindir}/floppygtk
%{__ln_s} consolehelper $RPM_BUILD_ROOT%{_bindir}/floppygtk

%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
%{__cat} >$RPM_BUILD_ROOT%{_sysconfdir}/pam.d/floppygtk <<EOF
#%PAM-1.0
auth       sufficient	pam_rootok.so
auth       sufficient   pam_timestamp.so
auth       include	system-auth
session	   required	pam_permit.so
session    optional	pam_xauth.so
session    optional     pam_timestamp.so
account    required	pam_permit.so
EOF

%{__cat} >floppygtk.desktop <<EOF
[Desktop Entry]
Name=Format floppy
Comment=Format a floppy disk
Exec=%{_bindir}/floppygtk
Terminal=0
Type=Application
Categories=Application;System;
EOF

desktop-file-install --vendor="fedora" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  floppygtk.desktop 2>/dev/null || :

# %find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
umask 022
test -f %{_sysconfdir}/floppy && exit 0
%{_bindir}/floppy --createrc >%{_sysconfdir}/floppy 2>/dev/null || \
	rm -f %{_sysconfdir}/floppy
exit 0

%post gtk
/usr/bin/update-desktop-database /usr/share/applications &>/dev/null || :

%postun gtk
/usr/bin/update-desktop-database /usr/share/applications &>/dev/null || :

%files
%defattr(-,bin,bin)
%{_bindir}/floppy
%{_mandir}/*/*
%ghost %{_sysconfdir}/floppy

%files gtk
%defattr(-,bin,bin)
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*
%{_bindir}/floppygtk
%{_sbindir}/floppygtk
%attr(444, root, root) %{_datadir}/applications/*

%changelog
* Tue Sep 22 2009 Mr. Sam <sam@email-scan.com> - 0.17-1
- Updated to the latest desktop-file-utils.

* Wed Jul 11 2001 Mr. Sam <mrsam@courier-mta.com>
- Added floppygtk, version 0.11

* Sat Feb 10 2001 Mr. Sam <mrsam@courier-mta.com>
- Replaced floppy.sourceforge.net with floppyutil.sourceforge.net (sigh)...

* Sat Jan 13 2001 Mr. Sam <mrsam@courier-mta.com>
- Initial build.
